{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.SampleApps.CalculatorDynamic.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "896", 
		"source": "[$name|CalculatorDynamic$]
[$title|Calculator Dynamic$]
[$frame|HTMLPage.tmpl$]
[$desc|Like Calculator Static, but demonstrates how to use Goldie's dynamic-style.$]

<p>
A simple arithmetic calculator utilizing a
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm|calculator grammar$].
Demonstrates how to use Goldie's [$pageLink|StatVsDyn|dynamic-style$].
</p>

<p>
This is just like [$pageTitle|CalculatorStatic$], but instead of using the
[$pageLink|StatVsDyn|static-style$] generated by the [$pageTitle|StaticLang$] tool,
it loads the language's [$pageLink|CGT|.cgt$] at runtime and uses
Goldie's [$pageLink|StatVsDyn|dynamic-style$].
</p>

<p>
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/src/samples/calculatorDynamic/main.d|Calculator Dynamic Source Code$]
</p>

<h3>Sample run:</h3>
<p>See the [$pageLink|CalculatorStatic|sample run for Calculator Static$].</p>
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "CalculatorDynamic", 
			"srcLength": "26", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "CalculatorDynamic", 
				"srcLength": "17"
			}
		}, 
		"1: data": {
			"srcIndexStart": "26", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"2: title": {
			"srcIndexStart": "27", 
			"data": "Calculator Dynamic", 
			"srcLength": "28", 
			"0: data": {
				"srcIndexStart": "35", 
				"data": "Calculator Dynamic", 
				"srcLength": "18"
			}
		}, 
		"3: data": {
			"srcIndexStart": "55", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"4: frame": {
			"srcIndexStart": "56", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "64", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "79", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"6: desc": {
			"srcIndexStart": "80", 
			"data": "Like Calculator Static, but demonstrates how to use Goldie's dynamic-style.", 
			"srcLength": "84", 
			"0: data": {
				"srcIndexStart": "87", 
				"data": "Like Calculator Static, but demonstrates how to use Goldie's dynamic-style.", 
				"srcLength": "75"
			}
		}, 
		"7: data": {
			"srcIndexStart": "164", 
			"data": "

<p>
A simple arithmetic calculator utilizing a
", 
			"srcLength": "49"
		}, 
		"8: link": {
			"srcIndexStart": "213", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm", 
			"data": "calculator grammar", 
			"srcLength": "88", 
			"0: data": {
				"srcIndexStart": "281", 
				"data": "calculator grammar", 
				"srcLength": "18"
			}
		}, 
		"9: data": {
			"srcIndexStart": "301", 
			"data": ".
Demonstrates how to use Goldie's ", 
			"srcLength": "35"
		}, 
		"10: pageLink": {
			"srcIndexStart": "336", 
			"param 0": "StatVsDyn", 
			"data": "dynamic-style", 
			"srcLength": "36", 
			"0: data": {
				"srcIndexStart": "357", 
				"data": "dynamic-style", 
				"srcLength": "13"
			}
		}, 
		"11: data": {
			"srcIndexStart": "372", 
			"data": ".
</p>

<p>
This is just like ", 
			"srcLength": "30"
		}, 
		"12: pageTitle": {
			"srcIndexStart": "402", 
			"data": "CalculatorStatic", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "414", 
				"data": "CalculatorStatic", 
				"srcLength": "16"
			}
		}, 
		"13: data": {
			"srcIndexStart": "432", 
			"data": ", but instead of using the
", 
			"srcLength": "27"
		}, 
		"14: pageLink": {
			"srcIndexStart": "459", 
			"param 0": "StatVsDyn", 
			"data": "static-style", 
			"srcLength": "35", 
			"0: data": {
				"srcIndexStart": "480", 
				"data": "static-style", 
				"srcLength": "12"
			}
		}, 
		"15: data": {
			"srcIndexStart": "494", 
			"data": " generated by the ", 
			"srcLength": "18"
		}, 
		"16: pageTitle": {
			"srcIndexStart": "512", 
			"data": "StaticLang", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "524", 
				"data": "StaticLang", 
				"srcLength": "10"
			}
		}, 
		"17: data": {
			"srcIndexStart": "536", 
			"data": " tool,
it loads the language's ", 
			"srcLength": "31"
		}, 
		"18: pageLink": {
			"srcIndexStart": "567", 
			"param 0": "CGT", 
			"data": ".cgt", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "582", 
				"data": ".cgt", 
				"srcLength": "4"
			}
		}, 
		"19: data": {
			"srcIndexStart": "588", 
			"data": " at runtime and uses
Goldie's ", 
			"srcLength": "30"
		}, 
		"20: pageLink": {
			"srcIndexStart": "618", 
			"param 0": "StatVsDyn", 
			"data": "dynamic-style", 
			"srcLength": "36", 
			"0: data": {
				"srcIndexStart": "639", 
				"data": "dynamic-style", 
				"srcLength": "13"
			}
		}, 
		"21: data": {
			"srcIndexStart": "654", 
			"data": ".
</p>

<p>
", 
			"srcLength": "12"
		}, 
		"22: link": {
			"srcIndexStart": "666", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/src/samples/calculatorDynamic/main.d", 
			"data": "Calculator Dynamic Source Code", 
			"srcLength": "123", 
			"0: data": {
				"srcIndexStart": "757", 
				"data": "Calculator Dynamic Source Code", 
				"srcLength": "30"
			}
		}, 
		"23: data": {
			"srcIndexStart": "789", 
			"data": "
</p>

<h3>Sample run:</h3>
<p>See the ", 
			"srcLength": "39"
		}, 
		"24: pageLink": {
			"srcIndexStart": "828", 
			"param 0": "CalculatorStatic", 
			"data": "sample run for Calculator Static", 
			"srcLength": "62", 
			"0: data": {
				"srcIndexStart": "856", 
				"data": "sample run for Calculator Static", 
				"srcLength": "32"
			}
		}, 
		"25: data": {
			"srcIndexStart": "890", 
			"data": ".</p>", 
			"srcLength": "6"
		}
	}
}